Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.border
Class EmptyBorder

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.EmptyBorder

All Implemented Interfaces:
  Border, Serializable

Direct Known Subclasses:
  BorderUIResource.EmptyBorderUIResource, MatteBorder

public class EmptyBorder
extends AbstractBorder
implements Serializable

A class which provides an empty, transparent border which takes up space but does no drawing.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`protected int` | `bottom`
`protected int` | `left`
`protected int` | `right`
`protected int` | `top`

Constructor Summary
`EmptyBorder(Insets borderInsets)` Creates an empty border with the specified insets.
`EmptyBorder(int top, int left, int bottom, int right)` Creates an empty border with the specified insets.

Method Summary
`Insets` | `getBorderInsets()` Returns the insets of the border.
`Insets` | `getBorderInsets(Component c)` Returns the insets of the border.
`Insets` | `getBorderInsets(Component c, Insets insets)` Reinitialize the insets parameter with this Border's current Insets.
`boolean` | `isBorderOpaque()` Returns whether or not the border is opaque.
`void` | `paintBorder(Component c, Graphics g, int x, int y, int width, int height)` Does no drawing by default.

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### left

    protected int left

### right

    protected int right

### top

    protected int top

### bottom

    protected int bottom

Constructor Detail

### EmptyBorder

    public EmptyBorder(int top,
                       int left,
                       int bottom,
                       int right)

  Creates an empty border with the specified insets.
  Parameters:
    `top` - the top inset of the border
    `left` - the left inset of the border
    `bottom` - the bottom inset of the border
    `right` - the right inset of the border

### EmptyBorder

    public EmptyBorder(Insets borderInsets)

  Creates an empty border with the specified insets.
  Parameters:
    `borderInsets` - the insets of the border

Method Detail

### paintBorder

    public void paintBorder(Component c,
                            Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Does no drawing by default.
  Overrides:
    `paintBorder` in class `AbstractBorder`
  Following copied from interface: `javax.swing.border.Border`
  Parameters:
    `c` - the component for which this border is being painted
    `g` - the paint graphics
    `x` - the x position of the painted border
    `y` - the y position of the painted border
    `width` - the width of the painted border
    `height` - the height of the painted border

### getBorderInsets

    public Insets getBorderInsets(Component c)

  Returns the insets of the border.
  Overrides:
    `getBorderInsets` in class `AbstractBorder`
  Parameters:
    `c` - the component for which this border insets value applies

### getBorderInsets

    public Insets getBorderInsets(Component c,
                                  Insets insets)

  Reinitialize the insets parameter with this Border's current Insets.
  Overrides:
    `getBorderInsets` in class `AbstractBorder`
  Parameters:
    `c` - the component for which this border insets value applies
    `insets` - the object to be reinitialized

### getBorderInsets

    public Insets getBorderInsets()

  Returns the insets of the border.

### isBorderOpaque

    public boolean isBorderOpaque()

  Returns whether or not the border is opaque. Returns false by default.
  Overrides:
    `isBorderOpaque` in class `AbstractBorder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.